Subject: Re: what did I miss? #!.... doesn't work in bash
From: [email-masked] ("Bret A. Schuhmacher")

8 Nov 1996 19:54:42 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: Geoffrey Noer <[email-masked]>
Original-cc: Graham Whaley <[email-masked]>, [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Fri, 1 Nov 1996, Geoffrey Noer wrote:

> Graham Whaley taps on the keyboard:
> > 
> >   Err, I thought that the decoding of a '#!' line had moved into the kernel 
> > on *IX, and was not a bash/shell/user level thing?.  You'll have to excuse 
> > me if I'm wrong, I've not really delved into ther kernel for a number of 
> > years.
> 
> I can try :-)
> 
> This is functionality that would have to be added to the cygwin.dll.
> It's not there now.
> 

Why, then is there code in the current/newest bash shell source for execing 
the program found on the #! line?  If this had been moved into the 
kernel, this code would be obsolete and removed.  I'm no expert, but I'm 
not sure this is something that should be added to cgywin.dll.  I think 
the bash shell needs another look.

Rgds,

Bret

______________________________________________________________________________
Bret A. Schuhmacher                              Email: [email-masked]
Technical Director, WebNet Technologies          WWW:   http://www.wn.com
Voice/Fax: (214) 821-0848                        Pager: (214) 816-0283

              If you didn't get caught, did you really do it?
______________________________________________________________________________

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".